Consultar número
curl --request GET \
--url https://api.notifique.dev/v1/phone-numbers/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/phone-numbers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/phone-numbers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/phone-numbers/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "<string>",
"workspaceId": "<string>",
"orderId": "<string>",
"phoneE164": "+5511987654321",
"countryCode": "BR",
"phoneNumberType": "local",
"features": [
"voice",
"sms"
],
"monthlyPriceBrlCents": 2990,
"renewsAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"inboundVoiceAction": "WEBHOOK_CONTROL",
"forwardToE164": "<string>",
"inboundTtsText": "<string>",
"inboundTtsVoice": "<string>",
"recordingEnabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": "Unauthorized",
"message": "Unauthorized",
"code": "UNAUTHORIZED"
}{
"success": false,
"error": "Forbidden",
"message": "Missing scope: phone_numbers:read",
"code": "FORBIDDEN"
}{
"success": false,
"error": "Not found",
"message": "Not found",
"code": "NOT_FOUND"
}Números de Telefone
Consultar número
Consulta um número e sua configuração.
GET
/
v1
/
phone-numbers
/
{id}
Consultar número
curl --request GET \
--url https://api.notifique.dev/v1/phone-numbers/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/phone-numbers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/phone-numbers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/phone-numbers/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "<string>",
"workspaceId": "<string>",
"orderId": "<string>",
"phoneE164": "+5511987654321",
"countryCode": "BR",
"phoneNumberType": "local",
"features": [
"voice",
"sms"
],
"monthlyPriceBrlCents": 2990,
"renewsAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"inboundVoiceAction": "WEBHOOK_CONTROL",
"forwardToE164": "<string>",
"inboundTtsText": "<string>",
"inboundTtsVoice": "<string>",
"recordingEnabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": "Unauthorized",
"message": "Unauthorized",
"code": "UNAUTHORIZED"
}{
"success": false,
"error": "Forbidden",
"message": "Missing scope: phone_numbers:read",
"code": "FORBIDDEN"
}{
"success": false,
"error": "Not found",
"message": "Not found",
"code": "NOT_FOUND"
}Esta página foi útil?
⌘I

